# Class CLNIdentifiers

java.lang.Object
com.io7m.calino.api.CLNIdentifiers

public final class CLNIdentifiers extends Object
The identifiers for standard sections.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static long`
  `fileIdentifier()`
  `static Optional<String>`
  `nameOf(long identifier)`
  Determine a humanly-readable name of an identifier.
  `static long`
  `sectionEndIdentifier()`
  `static long`
  `sectionImage2DIdentifier()`
  `static long`
  `sectionImageArrayIdentifier()`
  `static long`
  `sectionImageCubeIdentifier()`
  `static long`
  `sectionImageInfoIdentifier()`
  `static long`
  `sectionMetadataIdentifier()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fileIdentifier

    public static long fileIdentifier()
    Returns:
      The identifier used to identify `calino` files

  - ### sectionEndIdentifier

    public static long sectionEndIdentifier()
    Returns:
      The identifier used to identify `end` sections

  - ### sectionImageInfoIdentifier

    public static long sectionImageInfoIdentifier()
    Returns:
      The identifier used to identify `image info` sections

  - ### sectionImage2DIdentifier

    public static long sectionImage2DIdentifier()
    Returns:
      The identifier used to identify `image 2D` sections

  - ### sectionMetadataIdentifier

    public static long sectionMetadataIdentifier()
    Returns:
      The identifier used to identify `metadata` sections

  - ### sectionImageArrayIdentifier

    public static long sectionImageArrayIdentifier()
    Returns:
      The identifier used to identify `image array` sections

  - ### sectionImageCubeIdentifier

    public static long sectionImageCubeIdentifier()
    Returns:
      The identifier used to identify `image cube` sections

  - ### nameOf

    public static Optional<String> nameOf(long identifier)
    Determine a humanly-readable name of an identifier.
    Parameters:
      `identifier` - The identifier
    Returns:
      A humanly-readable name, if one is known